/****************************************************************************************/
/*  Modificaciones para Entidad 3D:                                                     */
/*                                                                                      */
/*  Autor: Jordi Prez                                                                  */
/*                                                                                      */
/*  Copyright (c) 2005 Jordi Prez; All rights reserved.                                */
/*                                                                                      */
/*                                                                                      */
/****************************************************************************************/

#ifndef	SPECIFICACTOR_H
#define SPECIFICACTOR_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "Genesis.h"
#include "GenVSI.h"

#pragma warning( disable : 4068 )
// Define the entity for the world editor
#pragma GE_Type("Item.ico")
typedef struct SpecificActor
{
	#pragma GE_Private
	geFloat	lastTime; // Last animation played
	geActor	*	pActor; // Actual actor
	geActor_Def *	pActorDef; // Actor definition
	geFloat startTime;	// Animation start time
	geVec3d	Rotation; // Vector for rotation
	char *	MotionUna; // Motion name (una sola animacin no cclica)
	char *	MotionCic; // Motion name (una animacin cclica)
	#pragma GE_DefaultValue(MotionUna, "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
	#pragma GE_DefaultValue(MotionCic, "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
	geFloat TiempoVisible;
	#pragma GE_DefaultValue(TiempoVisible, "0.0")
	geFloat TiempoInvisible;
	#pragma GE_DefaultValue(TiempoInvisible, "0.0")
	char *	BoneNameUnir;
	#pragma GE_DefaultValue(BoneNameUnir, "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
	int	EstadoBoneUnir;
	#pragma GE_DefaultValue(EstadoBoneUnir, "0")

	#pragma GE_Published
	char *CommandsFile;

	geBoolean   Boton_accion;
	#pragma GE_DefaultValue(Boton_accion, "False")
	#pragma GE_Documentation(Boton_accion, " Activacin si botn accin pulsado ? (True=Si, False=No)")

	geVec3d	Origin; //Origin of entity
	geVec3d	scale; // Vector for scaling
	geVec3d	Orientation; // Vector for orientation
	char	*ActorFile; // Path and file of the actor
	char	*Motion; // Motion name
	float ASpeed; // Speed of animation
	float	RSpeed; // Speed of rotation
	geBoolean	RotateX; // Will it rotate on the X axis?
	geBoolean	RotateY; // Will it rotate on the Y axis?
	geBoolean	RotateZ; // Will it rotate on the Z axis?
	geBoolean	Visible; // Visible actor 'True/False'
	geBoolean	Bloqueo_ver; // Ver bloqueo azul del actor (True/False)
	float Bloqueo_X; // Variacin X de la zona de bloqueo
	float Bloqueo_Y; // Variacin Y de la zona de bloqueo
	float Bloqueo_Z; // Variacin Z de la zona de bloqueo
	int	Brillo;
	geBoolean	Bloqueo; // Colisin con este SpecificActor (True/False)
	int Transparencia;
	geBoolean	RenderSiNoVisible; // Render si no est a la vista del jugador (True/False)
	int	Sombra;

	#pragma GE_Origin(Origin)
	#pragma GE_DefaultValue(scale, "2.7 2.7 2.7")
	#pragma GE_DefaultValue(Orientation, "0 0 0")
	#pragma GE_DefaultValue(Rotation, "0 0 0")
	#pragma GE_DefaultValue(ActorFile, "armor.ACT")
	#pragma GE_DefaultValue(Motion, "Idle")
	#pragma GE_DefaultValue(ASpeed, "0.04")
	#pragma GE_DefaultValue(RSpeed, "0.03")
	#pragma GE_DefaultValue(RotateX, "False")
	#pragma GE_DefaultValue(RotateY, "False")
	#pragma GE_DefaultValue(RotateZ, "False")
	#pragma GE_DefaultValue(CommandsFile, "")
	#pragma GE_DefaultValue(Visible, "True")
	#pragma GE_DefaultValue(Bloqueo_ver, "False")
	#pragma GE_DefaultValue(Bloqueo_X, "0")
	#pragma GE_DefaultValue(Bloqueo_Y, "0")
	#pragma GE_DefaultValue(Bloqueo_Z, "0")
	#pragma GE_DefaultValue(Brillo, "200")
	#pragma GE_DefaultValue(Bloqueo, "True")
	#pragma GE_DefaultValue(Transparencia, "255")
	#pragma GE_DefaultValue(RenderSiNoVisible, "True")
	#pragma GE_DefaultValue(Sombra, "0")

	#pragma GE_Documentation(CommandsFile, "Fichero de comandos (sin extensin .INI)")
	#pragma GE_Documentation(scale, "Escala")
	#pragma GE_Documentation(Orientation, "Orientacin")
	#pragma GE_Documentation(ActorFile, "Nombre del fichero .ACT del modelo 3D a visualizar.")
	#pragma GE_Documentation(Motion, "Nombre de animacin. Dejar en blanco para ninguna.")
	#pragma GE_Documentation(ASpeed, "Velocidad de la animacin. 0.1 = rpida, 0.01 = lenta, 0.05 = media, etc.")
	#pragma GE_Documentation(RSpeed, "Velocidad de la rotacin. 0.1 = rpida, 0.01 = lenta, 0.05 = media, etc.")
	#pragma GE_Documentation(RotateX, " Rotacin de X del modelo 3D ?. (True=Si  False=No)")
	#pragma GE_Documentation(RotateY, " Rotacin de Y del modelo 3D ?. (True=Si  False=No)")
	#pragma GE_Documentation(RotateZ, " Rotacin de Z del modelo 3D ?. (True=Si  False=No)")
	#pragma GE_Documentation(Visible, " Visible ?. (True=Si  False=No)")
	#pragma GE_Documentation(Bloqueo_ver, " Ver zona de bloqueo del modelo 3D ?. (True=Si  False=No)")
	#pragma GE_Documentation(Bloqueo_X, "Variacin en X del bloqueo del modelo 3D (0 sin variacin)")
	#pragma GE_Documentation(Bloqueo_Y, "Variacin en Y del bloqueo del modelo 3D (0 sin variacin)")
	#pragma GE_Documentation(Bloqueo_Z, "Variacin en Z del bloqueo del modelo 3D (0 sin variacin)")
	#pragma GE_Documentation(Brillo, "Nivel de brillo. (de 0 a 255)")
	#pragma GE_Documentation(Bloqueo, " Detectar colisin ? (True=Si  False=No)")
	#pragma GE_Documentation(Transparencia, "Nivel de transparencia (de 0 a 255, 255=Opaco 128=Semitransparente)")
	#pragma GE_Documentation(RenderSiNoVisible, " Calcular 'render' si no es visible ? (True=Si  False=No)")
	#pragma GE_Documentation(Sombra, "Tipo de sombra. (0=Sin sombra, 1=Crculo, 2=Dinmica)")

} SpecificActor;


// Funciones
geBoolean SpecificActor_Spawn(geWorld *World, geBitmap *Bitmap);
geBoolean SpecificActor_Render(geWorld *World, GenVSI *VSI, float Time);
geBoolean Free_SpecificActor(geWorld *World);

extern void	DrawBoundBox(geWorld *World, const geVec3d *Pos, const geVec3d *Min, const geVec3d *Max);

// changed QD Shadows
GENESISAPI geBoolean GENESISCC geActor_SetStencilShadow(geActor *A, 
						geBoolean DoStencilShadow);
// end change

#ifdef	__cplusplus
}
#endif

#endif